SELECT
	v.vendor_name,
    COUNT(*) AS number_of_invoices,
    SUM(i.invoice_total) AS invoice_total_sum
FROM vendors v JOIN invoices i
	ON v.vendor_id = i.vendor_id
GROUP BY v.vendor_name
ORDER BY number_of_invoices DESC;