SELECT 
	v.vendor_name,
    COUNT(DISTINCT g.account_number) AS distinct_accounts
FROM vendors v JOIN general_ledger_accounts g JOIN invoice_line_items i JOIN invoices n
	ON v.vendor_id = n.vendor_id AND i.invoice_id = n.invoice_id AND i.account_number = g.account_number
GROUP BY v.vendor_name
HAVING distinct_accounts > 1;